Appium 小白 Appium 在线安装,请各位大大帮忙看看~

淼淼淼 · 2014年04月15日 · 最后由 chusumei 回复于 2017年03月13日 · 59 次阅读
niltekiMac:~ nil$ npm install -g appium
npm http GET https://registry.npmjs.org/appium
npm http 304 https://registry.npmjs.org/appium
npm ERR! Error: EACCES, mkdir '/usr/local/lib/node_modules/appium'
npm ERR!  { [Error: EACCES, mkdir '/usr/local/lib/node_modules/appium']
npm ERR!   errno: 3,
npm ERR!   code: 'EACCES',
npm ERR!   path: '/usr/local/lib/node_modules/appium',
npm ERR!   fstream_type: 'Directory',
npm ERR!   fstream_path: '/usr/local/lib/node_modules/appium',
npm ERR!   fstream_class: 'DirWriter',
npm ERR!   fstream_stack: 
npm ERR!    [ '/usr/local/lib/node_modules/npm/node_modules/fstream/lib/dir-writer.js:36:23',
npm ERR!      '/usr/local/lib/node_modules/npm/node_modules/mkdirp/index.js:37:53',
npm ERR!      'Object.oncomplete (fs.js:107:15)' ] }
npm ERR! 
npm ERR! Please try running this command again as root/Administrator.

npm ERR! System Darwin 12.5.0
npm ERR! command "node" "/usr/local/bin/npm" "install" "-g" "appium"
npm ERR! cwd /Users/nil
npm ERR! node -v v0.10.26
npm ERR! npm -v 1.4.3
npm ERR! path /usr/local/lib/node_modules/appium
npm ERR! fstream_path /usr/local/lib/node_modules/appium
npm ERR! fstream_type Directory
npm ERR! fstream_class DirWriter
npm ERR! code EACCES
npm ERR! errno 3
npm ERR! stack Error: EACCES, mkdir '/usr/local/lib/node_modules/appium'
npm ERR! fstream_stack /usr/local/lib/node_modules/npm/node_modules/fstream/lib/dir-writer.js:36:23
npm ERR! fstream_stack /usr/local/lib/node_modules/npm/node_modules/mkdirp/index.js:37:53
npm ERR! fstream_stack Object.oncomplete (fs.js:107:15)
npm ERR! 
npm ERR! Additional logging details can be found in:
npm ERR!     /Users/nil/npm-debug.log
npm ERR! not ok code 0

安装问题。

如果觉得我的文章对您有用,请随意打赏。您的支持将鼓励我继续创作!
共收到 48 条回复 时间 点赞

在线安装的问题很多了。 请先搜索论坛。

#1 楼 @lihuazhang 恩。谢谢回复~我用 dmg 已经安装好了 appium,但就是不明白为什么我在命令行安装 xcode 的 command line tools 不行,而且在命令行启动 appium 也不行.老是报错-bash: brew: command not found

#2 楼 @nil 因为你没有安装 brew, 亲。

#3 楼 @lihuazhang 恩。我装了 brew 还是不能用 appium &启动 appium(command line tools 已经安装了)输入 git svn 报错 fatal: Not a git repository (or any of the parent directories): .git
Unable to find .git directory
at /usr/libexec/git-core/git-svn line 360
。。。想了很多方法了。任然 没有解决、

dmg 已经安装好了 appium,就是用安装好的应用啊。不需要命令行了。

@lihuazhang 恩。 昨天已经成功弄好了。脚本也成功跑起来了。突然觉得这问题当时问的有点傻。哈哈。

#6 楼 @nil 我也遇到这个问题,你后来是怎么解决的?谢谢

#7 楼 @quanquan0622 你遇到具体什么问题?

因为 /usr/local/lib/node_modules/appium 文件已经存在,而且创建者权限比当前用户权限高所以不能覆盖,解决办法:删除这个文件就可以安装了

#8 楼 @nil 具体的问题,就是在 mac 环境下,在终端里输入 npm install -g appium,看跟你遇到的问题一模一样,一样的 log

#9 楼 @swmvp 兄弟,你说的这个是 mac 环境下么?我找不到这个文件夹啊

#9 楼 @swmvp 我试过卸载了,
sudo npm uninstall -g appium
得到这样的提示,说我没有安装 appium:
npm WARN uninstall not installed in /usr/local/lib/node_modules: "appium"

我还该怎样去确认一下东西都删完了呢?

#12 楼 @quanquan0622
➜ node_modules git:(master) pwd
/usr/local/lib/node_modules

把 appium 删除了。

另外,我们说的 nodejs 是用 brew 安装的。 你是用 安装包 安装的。 需要用到 sudo 的 nodejs 是不能运行 appium 的。

#13 楼 @lihuazhang 大师,你有 QQ 么?我可以问你几个弱弱的问题么?

#14 楼 @quanquan0622 你上传个头像,我就给你 qq。。

#15 楼 @lihuazhang 这太好办了!一分钟后,刷新下,谢谢师傅

我也遇到了同样的问题;我之前用 sudo npm install -g appium 后来 appium &启动不了 提示说不应该 sudo 安装 然后我 npm install-g appium 安装就是报错,log 跟帖子一样 也把 urs/local/lib/node_modules/appium 给删掉了 还是不行 求大神指点,在线等

修改 node 的所有者,把 appium 卸了,再 install 一次就可以了

我也是用 dmg 安装好了 appium 但是之间命令行进去提示找不到 appium 这个命令,是不是因为 appium 安装的路径不对呢?求指教

#20 楼 @kristiangu dmg 按照的没有命令行

#21 楼 @lihuazhang 哦~谢谢回复,不好意思,还想请教下,我安装的是 1.3.3 的版本,但是我看到网上说可以设置 app path ,为什么我在这个版本没看到呢,能指教下嘛?

#21 楼 @lihuazhang 为什么我的 log 这样的


> udidetect@1.0.7 install /usr/local/lib/node_modules/appium/node_modules/udidetect
> make

gcc -o udidetect -framework CoreFoundation -framework MobileDevice -F/System/Library/PrivateFrameworks udidetect.c

> utf-8-validate@1.1.0 install /usr/local/lib/node_modules/appium/node_modules/ws/node_modules/utf-8-validate
> node-gyp rebuild

  CXX(target) Release/obj.target/validation/src/validation.o
  SOLINK_MODULE(target) Release/validation.node

> bufferutil@1.1.0 install /usr/local/lib/node_modules/appium/node_modules/ws/node_modules/bufferutil
> node-gyp rebuild

  CXX(target) Release/obj.target/bufferutil/src/bufferutil.o
  SOLINK_MODULE(target) Release/bufferutil.node
npm WARN engine xmlbuilder@2.2.1: wanted: {"node":"0.8.x || 0.10.x"} (current: {"node":"0.12.5","npm":"2.11.2"})

> ws@0.5.0 install /usr/local/lib/node_modules/appium/node_modules/socket.io/node_modules/engine.io/node_modules/ws
> (node-gyp rebuild 2> builderror.log) || (exit 0)

  CXX(target) Release/obj.target/bufferutil/src/bufferutil.o
  SOLINK_MODULE(target) Release/bufferutil.node
  CXX(target) Release/obj.target/validation/src/validation.o
  SOLINK_MODULE(target) Release/validation.node

> ws@0.4.31 install /usr/local/lib/node_modules/appium/node_modules/socket.io/node_modules/socket.io-client/node_modules/engine.io-client/node_modules/ws
> (node-gyp rebuild 2> builderror.log) || (exit 0)

  CXX(target) Release/obj.target/bufferutil/src/bufferutil.o
\
> appium-chromedriver@2.1.3 install /usr/local/lib/node_modules/appium/node_modules/appium-chromedriver
> node install-npm.js

info Chromedriver Install Opening temp file to write chromedriver_mac32 to...
info Chromedriver Install Downloading http://chromedriver.storage.googleapis.com/2.15/chromedriver_mac32.zip...
RequestError: Error: connect ETIMEDOUT
    at new RequestError (/usr/local/lib/node_modules/appium/node_modules/appium-chromedriver/node_modules/request-promise/lib/errors.js:11:15)
    at Request.RP$callback [as _callback] (/usr/local/lib/node_modules/appium/node_modules/appium-chromedriver/node_modules/request-promise/lib/rp.js:50:34)
    at self.callback (/usr/local/lib/node_modules/appium/node_modules/appium-chromedriver/node_modules/request/request.js:197:22)
    at Request.emit (events.js:107:17)
    at Request.onRequestError (/usr/local/lib/node_modules/appium/node_modules/appium-chromedriver/node_modules/request/request.js:854:8)
    at ClientRequest.emit (events.js:107:17)
    at Socket.socketErrorListener (_http_client.js:271:9)
    at Socket.emit (events.js:107:17)
    at net.js:459:14
    at process._tickCallback (node.js:355:11)
npm WARN engine hawk@0.10.2: wanted: {"node":"0.8.x"} (current: {"node":"0.12.5","npm":"2.11.2"})
npm WARN engine cryptiles@0.1.3: wanted: {"node":"0.8.x"} (current: {"node":"0.12.5","npm":"2.11.2"})
npm WARN engine sntp@0.1.4: wanted: {"node":"0.8.x"} (current: {"node":"0.12.5","npm":"2.11.2"})
npm WARN engine hoek@0.7.6: wanted: {"node":"0.8.x"} (current: {"node":"0.12.5","npm":"2.11.2"})
npm WARN engine boom@0.3.8: wanted: {"node":"0.8.x"} (current: {"node":"0.12.5","npm":"2.11.2"})
npm ERR! Darwin 14.3.0
npm ERR! argv "node" "/usr/local/bin/npm" "install" "-g" "appium"
npm ERR! node v0.12.5
npm ERR! npm  v2.11.2
npm ERR! code ELIFECYCLE

npm ERR! appium-chromedriver@2.1.3 install: `node install-npm.js`
npm ERR! Exit status 1
npm ERR! 
npm ERR! Failed at the appium-chromedriver@2.1.3 install script 'node install-npm.js'.
npm ERR! This is most likely a problem with the appium-chromedriver package,
npm ERR! not with npm itself.
npm ERR! Tell the author that this fails on your system:
npm ERR!     node install-npm.js
npm ERR! You can get their info via:
npm ERR!     npm owner ls appium-chromedriver
npm ERR! There is likely additional logging output above.

npm ERR! Please include the following file with any support request:
npm ERR!     /usr/local/lib/npm-debug.log

#23 楼 @smallboy 为啥我这么穷?

#24 楼 @lihuazhang 温总呀
权限我都放出来了。。 我真的不知道该怎么解决,,,

#24 楼 @lihuazhang 帮我解决一下哈 解决完 我贴出帖子给大家一起分享一下

#25 楼 @smallboy 看日志啊,日志说你超时了。

#26 楼 @smallboy 连日志都不看的,就分享这方面的了。除非你有其他擅长的,倒是可以拿出来。

#23 楼 @smallboy 你解决了没有?

#6 楼 @nil 你好啊,我最近刚开始学 appium,不会弄啊,输入命令后老是让我输入密码,我输入电脑的密码有提示不正确,求解啊,我已经安装了 dmg 的 appium,完全小白啊

#1 楼 @lihuazhang 你好啊,我最近刚开始学 appium,不会弄啊,输入命令后老是让我输入密码,我输入电脑的密码有提示不正确,求解啊,我已经安装了 dmg 的 appium,完全小白啊

#23 楼 @smallboy
info Chromedriver Install Downloading http://chromedriver.storage.googleapis.com/2.15/chromedriver_mac32.zip...
RequestError: Error: connect ETIMEDOUT

===========
chromedriver 下不来,要 ***,万恶的天朝

#23 楼 @smallboy 或者指定国内的 npm 镜像,这样不用 ***。在主目录下新建文件 .npmrc ,加入下面一行
chromedriver_cdnurl=http://npm.taobao.org/mirrors/chromedriver

ps:可以用淘宝的 npm 镜像代替官方镜像,介绍见http://npm.taobao.org/

#2 楼 @nil 我也遇到这个问题了,想问下你是怎么解决的?
装了 brew 还是不能用 appium &启动 appium(command line tools 已经安装了)

http://npm.taobao.org

1、使用说明
你可以使用我们定制的 cnpm (gzip 压缩支持) 命令行工具代替默认的 npm:
$ npm install -g cnpm --registry=https://registry.npm.taobao.org

2、安装完淘宝定制的 cnpm 之后,终端输入:
cnpm install -g appium

速度看你网速了。杠杠滴速度有木有啊!

#35 楼 @huangke [fsevents@1.0.11] download from binary mirror: {"module_name":"fse","module_path":"./lib/binding/{configuration}/{node_abi}-{platform}-{arch}/","remote_path":"./v{version}/","package_name":"{module_name}-v{version}-{node_abi}-{platform}-{arch}.tar.gz","host":"https://npm.taobao.org/mirrors/fsevents"}
[babel-core@5.8.24] deprecate: Babel 5 is no longer being maintained. Upgrade to Babel 6.
[line-numbers@0.2.0] deprecate: Copy its ~20 LOC directly into your code instead.
[appium-android-driver@1.10.2] install error: ResponseTimeoutError: Request timeout for 60000ms, GET https://registry.npm.taobao.org/io.appium.settings/%3E%3D2.1.0%20%3C3.0.0 -1 (connected: true, keepalive socket: false)
headers: {}, parentDir: /usr/local/lib/node_modules/.appium_npminstall/appium/1.5.2/appium, remove /usr/local/lib/node_modules/.appium_npminstall/appium-android-driver/1.10.2/appium-android-driver
error stack: ResponseTimeoutError: Request timeout for 60000ms, GET https://registry.npm.taobao.org/io.appium.settings/%3E%3D2.1.0%20%3C3.0.0 -1 (connected: true, keepalive socket: false)
headers: {}
at null._onTimeout (/usr/local/lib/node_modules/cnpm/node_modules/npminstall/node_modules/urllib/lib/urllib.js:635:13)
at Timer.listOnTimeout (timers.js:92:15)
[appium@1.5.2] install error: ResponseTimeoutError: Request timeout for 60000ms, GET https://registry.npm.taobao.org/io.appium.settings/%3E%3D2.1.0%20%3C3.0.0 -1 (connected: true, keepalive socket: false)
headers: {}, parentDir: /usr/local/lib, remove /usr/local/lib/node_modules/.appium_npminstall/appium/1.5.2/appium
error stack: ResponseTimeoutError: Request timeout for 60000ms, GET https://registry.npm.taobao.org/io.appium.settings/%3E%3D2.1.0%20%3C3.0.0 -1 (connected: true, keepalive socket: false)
headers: {}
at null._onTimeout (/usr/local/lib/node_modules/cnpm/node_modules/npminstall/node_modules/urllib/lib/urllib.js:635:13)
at Timer.listOnTimeout (timers.js:92:15)
ResponseTimeoutError: Request timeout for 60000ms, GET https://registry.npm.taobao.org/io.appium.settings/%3E%3D2.1.0%20%3C3.0.0 -1 (connected: true, keepalive socket: false)
headers: {}
ResponseTimeoutError: Request timeout for 60000ms, GET https://registry.npm.taobao.org/io.appium.settings/%3E%3D2.1.0%20%3C3.0.0 -1 (connected: true, keepalive socket: false)
headers: {}
at null._onTimeout (/usr/local/lib/node_modules/cnpm/node_modules/npminstall/node_modules/urllib/lib/urllib.js:635:13)
at Timer.listOnTimeout (timers.js:92:15)

#35 楼 @huangke 楼主帮忙看看 这是啥情况啊 我按照你的方式试的,,,在线等。。

为什么我的 appium -doctor 老是报参数找不到啊 zhangnadeMac-mini:~ zhanglina$ appium - doctor
usage: appium [-h] [-v] [--shell] [--ipa IPA] [-a ADDRESS] [-p PORT]
[-ca CALLBACKADDRESS] [-cp CALLBACKPORT] [-bp BOOTSTRAPPORT]
[-r BACKENDRETRIES] [--session-override] [-l] [-g LOG]
[--log-level {info,info:debug,info:info,info:warn,info:error,warn,warn:debug,warn:info,warn:warn,warn:error,error,error:debug,error:info,error:warn,error:error,debug,debug:debug,debug:info,debug:warn,debug:error}]
[--log-timestamp] [--local-timezone] [--log-no-colors]
[-G WEBHOOK] [--safari] [--default-device] [--force-iphone]
[--force-ipad] [--tracetemplate AUTOMATIONTRACETEMPLATEPATH]
[--instruments INSTRUMENTSPATH] [--nodeconfig NODECONFIG]
[-ra ROBOTADDRESS] [-rp ROBOTPORT]
[--selendroid-port SELENDROIDPORT]
[--chromedriver-port CHROMEDRIVERPORT]
[--chromedriver-executable CHROMEDRIVEREXECUTABLE]
appium: error: Unrecognized arguments: - doctor. [--strict-caps]

@crystallala 你的命令对吗??appium-doctor

#39 楼 @xinxinga 命令是对的,是需要单独安装 npm install appium-doctor –g

#35 楼 @huangke 赞,速度杠杠的~

#5 楼 @Lihuazhang dmg 安装的能不能设置环境变量之类的使命令行的方式也能用啊

@huangke用你的方法这样的,能解释一下吗

您好楼主,现在还在使用 appium 吗,测试 iOS 真机的,我安装了 mac 的 appium,后面的就不会操作了,求帮忙,楼主留一个联系方式。谢谢。

#35 楼 @huangke 大神,你好,我安装 appium 老是出错,
卡死在这个地方,怎么解决啊?谢谢,最好留一个联系方式,急。

#41 楼 @zhangyida 您好,新手安装 appium 出现很多问题,能留一下你的联系方式吗?急求,谢谢。

@huangke

是什么原因啊,呜呜,安装 appium1.6.3 好久了,都木成功

@huangke 我用 cnpm install -g appium 已经安装好了,但是命令行 输入 appium 一直处于下面的状态,然后 appium 一直没有打开,请问大神怎么解
[Appium] Welcome to Appium v1.6.3
[Appium] Appium REST http interface listener started on 0.0.0.0:4723

需要 登录 后方可回复, 如果你还没有账号请点击这里 注册